Subject: Re: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Sep 2022 20:31:37 +0300

> Cc: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 30 Sep 2022 16:14:49 +0200
> 
> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
> 
> > Include the following code in *scratch*
> >
> > (with-locale-environment "C"
> >   (insert (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))
> >
> > Evaluate with C-c C-e and experience a screen flicker
> 
> I think I've now fixed this -- can you test?  (I don't see the flicker
> myself.)

I'd rather leave the decision whether to redraw or not to the caller.
I don't see how we can safely assume that the caller never wants to
actually use the locale's settings for something display-oriented.